MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::TranslateDataByteSwap Class Reference

Data translation to an external representation with bytes swapped. More...

`#include <translate.h>`

Inheritance diagram for sc::TranslateDataByteSwap:

List of all members.

## Public Member Functions

virtual char | format_code ()
| Returns a code for the type of format for the external data.
virtual void | to_native (char *, int n)
| Overridden translation routines exist for all the basic types.
virtual void | to_external (char *, int n)
| Overridden translation routines exist for all the basic types.
virtual void | to_native (short *, int n)
virtual void | to_external (short *, int n)
virtual void | to_native (unsigned int *, int n)
virtual void | to_external (unsigned int *, int n)
virtual void | to_native (int *, int n)
virtual void | to_external (int *, int n)
virtual void | to_native (long *, int n)
virtual void | to_external (long *, int n)
virtual void | to_native (float *, int n)
virtual void | to_external (float *, int n)
virtual void | to_native (double *, int n)
virtual void | to_external (double *, int n)
virtual void | to_native (char *, const void *, int n)
| Overridden translation routines exist for all the basic types.
virtual void | to_external (void *, const char *, int n)
| Overridden translation routines exist for all the basic types.
virtual void | to_native (short *, const void *, int n)
virtual void | to_external (void *, const short *, int n)
virtual void | to_native (unsigned int *, const void *, int n)
virtual void | to_external (void *, const unsigned int *, int n)
virtual void | to_native (int *, const void *, int n)
virtual void | to_external (void *, const int *, int n)
virtual void | to_native (long *, const void *, int n)
virtual void | to_external (void *, const long *, int n)
virtual void | to_native (float *, const void *, int n)
virtual void | to_external (void *, const float *, int n)
virtual void | to_native (double *, const void *, int n)
virtual void | to_external (void *, const double *, int n)

## Detailed Description

Data translation to an external representation with bytes swapped.

The documentation for this class was generated from the following file:

- translate.h